### Method

# AppStream ReviewsClient submit_review

since: 1.1.4

#### Declaration [src]

    gboolean
    as_reviews_client_submit_review (
      AsReviewsClient* rrc,
      const gchar* component_id,
      AsReview* review,
      GError** error
    )

#### Description [src]

Submit a new user review for a software component to the reviews server. The `review` must have a rating, summary and description set. If it has no reviewer name set, a suitable one is chosen automatically based on the name of the current user.

On success, the review is updated with its server-assigned ID and is marked as written by the current user. This call does blocking network I/O.

Available since: 1.1.4

#### Parameters

`component_id`

  Type: `const gchar*`

  The ID of the software component the review is for.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`review`

  Type: `AsReview`

  The review to submit.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success.